apiVersion: v1
kind: Service
metadata:
  name: trust-sla
spec:
  type: LoadBalancer
  selector:
      app: trust-sla
  ports:
    - name: http
      port: 80
      targetPort: 5000
      nodePort: 30202
      protocol: TCP
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: trust-sla
spec:
  replicas: 1
  selector:
    matchLabels:
      app: trust-sla
  template:
    metadata:
      labels:
        app: trust-sla
    spec:
      containers:
      - name: trust-sla
        image: alexx882/trust-sla-microservice
        ports:
        - containerPort: 5000